cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shazron Abdullah (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CB-9772) Can't install .tbd dynamic libraries as plugin deps
Date Tue, 28 Feb 2017 03:54:45 GMT

     [ https://issues.apache.org/jira/browse/CB-9772?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Shazron Abdullah updated CB-9772:
---------------------------------
    Fix Version/s: cordova-ios@4.4.0

> Can't install .tbd dynamic libraries as plugin deps
> ---------------------------------------------------
>
>                 Key: CB-9772
>                 URL: https://issues.apache.org/jira/browse/CB-9772
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: iOS
>         Environment: iOS
>            Reporter: Adriano Di Giovanni
>            Assignee: Shazron Abdullah
>              Labels: cordova-ios-4.1.1
>             Fix For: cordova-ios@4.4.0
>
>
> .dylib are now .tbd in iOS 9.
> I wrote a custom plugin in order to integrate Parse SDK into my Cordova app. The plugin
used libsqlite3.dylib and libz.dylib so I've updated it to work with iOS 9. Thus, I changed
related lines in plugin.xml from
> <framework src="libsqlite3.dylib" />
> <framework src="libz.dylib" />
> to
> <framework src="libsqlite3.tbd" />
> <framework src="libz.tbd" />
> Installation completes successfully but frameworks aren't linked correctly in XCode.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message